# QWebHistoryInterface Class Reference

### [com.trolltech.qt.webkit package]

Inherits QObject.

### Constructor

- void QWebHistoryInterface(QObject parent)

### Constructor Properties

- prototype: The QWebHistoryInterface prototype object
- QWebHistoryInterface defaultInterface()
- void setDefaultInterface(QWebHistoryInterface defaultInterface)

### Prototype Object Properties

The QWebHistoryInterface prototype object inherits properties from the QObject prototype object and also has the following properties.

- void addHistoryEntry(String url)
- bool historyContains(String url)

### Instance Properties

QWebHistoryInterface objects have no special properties beyond those inherited from the QWebHistoryInterface prototype object.